Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576493 - [abrt] gnome-shell: meta_window_get_monitor(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_window_get_monitor(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1aa3f15a546961cc5441a1258c6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 15:23 UTC by Toby Haynes
Modified: 2019-05-28 22:48 UTC (History)
7 users (show)

Fixed In Version: mutter-3.28.3-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:48:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (100.83 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: cgroup (339 bytes, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: core_backtrace (42.45 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: dso_list (12.73 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: environ (4.19 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: maps (127.86 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: mountinfo (3.37 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: open_fds (13.54 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details
File: var_log_messages (15.70 KB, text/plain)
2018-05-09 15:23 UTC, Toby Haynes
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 788834 0 None None None 2018-10-10 07:32:14 UTC

Description Toby Haynes 2018-05-09 15:23:18 UTC
Description of problem:
Pressed 'Enter' to select an existing gnome-terminal from the GNOME Shell Overview using the search interface. 

Version-Release number of selected component:
gnome-shell-3.28.1-3.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_monitor
executable:     /usr/bin/gnome-shell
journald_cursor: s=05c84af544d147f8886aac0aaac37f75;i=10f19a;b=5f2bce66b3be4005803476468cc81394;m=b67c958c0;t=56bc70ba23a3c;x=7e55ed66f7ebfc15
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            10990

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_window_get_monitor at core/window.c:3758
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 gjs_invoke_c_function(JSContext*, Function*, JS::HandleObject, JS::HandleValueArray const&, mozilla::Maybe<JS::MutableHandle<JS::Value> >, GIArgument*) at gi/function.cpp:1088
 #4 function_call(JSContext*, unsigned int, JS::Value*) at /usr/include/c++/8/new:169
 #5 js::CallJSNative(JSContext*, bool (*)(JSContext*, unsigned int, JS::Value*), JS::CallArgs const&) at /usr/src/debug/mozjs52-52.7.3-1.fc28.x86_64/jscntxtinlines.h:239
 #6 js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) at /usr/src/debug/mozjs52-52.7.3-1.fc28.x86_64/vm/Interpreter.cpp:447
 #7 InternalCall(JSContext*, js::AnyInvokeArgs const&) at /usr/src/debug/mozjs52-52.7.3-1.fc28.x86_64/vm/Interpreter.cpp:504
 #8 js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>) at /usr/src/debug/mozjs52-52.7.3-1.fc28.x86_64/vm/Interpreter.cpp:523
 #9 js::jit::InvokeFunction(JSContext*, JS::Handle<JSObject*>, bool, unsigned int, JS::Value*, JS::MutableHandle<JS::Value>) at /usr/src/debug/mozjs52-52.7.3-1.fc28.x86_64/jit/VMFunctions.cpp:114

Potential duplicate: bug 1516393

Comment 1 Toby Haynes 2018-05-09 15:23:22 UTC
Created attachment 1433919 [details]
File: backtrace

Comment 2 Toby Haynes 2018-05-09 15:23:23 UTC
Created attachment 1433920 [details]
File: cgroup

Comment 3 Toby Haynes 2018-05-09 15:23:24 UTC
Created attachment 1433921 [details]
File: core_backtrace

Comment 4 Toby Haynes 2018-05-09 15:23:25 UTC
Created attachment 1433922 [details]
File: cpuinfo

Comment 5 Toby Haynes 2018-05-09 15:23:26 UTC
Created attachment 1433923 [details]
File: dso_list

Comment 6 Toby Haynes 2018-05-09 15:23:27 UTC
Created attachment 1433924 [details]
File: environ

Comment 7 Toby Haynes 2018-05-09 15:23:28 UTC
Created attachment 1433925 [details]
File: exploitable

Comment 8 Toby Haynes 2018-05-09 15:23:29 UTC
Created attachment 1433926 [details]
File: limits

Comment 9 Toby Haynes 2018-05-09 15:23:30 UTC
Created attachment 1433927 [details]
File: maps

Comment 10 Toby Haynes 2018-05-09 15:23:31 UTC
Created attachment 1433928 [details]
File: mountinfo

Comment 11 Toby Haynes 2018-05-09 15:23:33 UTC
Created attachment 1433929 [details]
File: open_fds

Comment 12 Toby Haynes 2018-05-09 15:23:34 UTC
Created attachment 1433930 [details]
File: proc_pid_status

Comment 13 Toby Haynes 2018-05-09 15:23:35 UTC
Created attachment 1433931 [details]
File: var_log_messages

Comment 14 Toby Haynes 2018-05-09 15:28:04 UTC
I've hit this bug, or something very similar to it, over many releases of Fedora. It seems to occur when I have my W541 laptop docked which adds an external monitor to the display.

Comment 15 Toby Haynes 2018-05-09 16:58:38 UTC
Also seen in 

Fedora 21 (CLOSED EOL)
https://bugzilla.redhat.com/show_bug.cgi?id=1230568

Fedora 27 (NEW)
https://bugzilla.redhat.com/show_bug.cgi?id=1516393

Comment 16 Maximilian 2018-07-24 14:16:38 UTC
Similar problem has been detected:

Monitor suspended and after i turned it on again, gnome-shell crashed.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_monitor
executable:     /usr/bin/gnome-shell
journald_cursor: s=c492a81777ed4ca3a4cc9520f6be62c4;i=e23a;b=cc798837118e4747bb86412668450e88;m=508eca5b4;t=571beec75bd63;x=e30cae93a069dffc
kernel:         4.17.7-200.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 WM Chang 2018-09-04 00:15:42 UTC
Similar problem has been detected:

When my monitor fall asleep.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_monitor
executable:     /usr/bin/gnome-shell
journald_cursor: s=d4971564226c427ab40f64e2259202ed;i=838da;b=41c7b0459c45434baeadf91ff74b2619;m=49f0def2d;t=574fc41256240;x=58b37b260723ad40
kernel:         4.17.19-200.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Divya 2018-10-10 07:36:40 UTC
Fix for the issue is available at https://gitlab.gnome.org/GNOME/mutter/commit/8626c69c

Comment 19 Ben Cotton 2019-05-02 20:42:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2019-05-28 22:48:18 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.